当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 10 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : HOWTO : Ubuntu 'Hoary ' with Beagle 0.0.9 and Mono 1.1.6
帖子发表于 : 2005-05-04 1:59 
头像

注册: 2005-03-26 9:38
帖子: 521
送出感谢: 0 次
接收感谢: 0 次
Help with installing Beagle on Ubuntu can be found on the BeagleInstall page of the Ubuntu Wiki. However, that HOWTO only covers installing Beagle 0.0.7 and compiling from CVS whereas this one uses pre-built packages.
Note: The Mono version in the latest Hoary contains Mono 1.0.5 which doesn't work with latest versions of Beagle (i.e. 0.0.8 and 0.0.9).
1. Getting the Packages

You are strongly encouraged to use method 1b, 1a is not maintained any longer.
1a. Installing running Mono 1.1.4-1 packages from from http://manno.name/debian with Beagle 0.0.9. (OBSOLETE)

To do this, add the following line to your /etc/apt/sources.list. You can do this using the command:

sudo nano /etc/apt/sources.list

Add this line to the bottom of the file (Beagle 0.0.9).

deb http://manno.name/debian/ hoary main

If you wish to use the bleeding edge 0.0.9 CVS version, you should add the following to your sources.list instead.

deb http://manno.name/debian/ hoary main cvs

PLEASE NOTE: The version used in this HOWTO is 0.0.9 which requires inotify 0.21 which is not in the Ubuntu kernel. This means that you need to use Beagle without inotify (with means no USB problems - see below), build your own kernel or use Beagle 0.0.8 (see below).

You can now update your listings and install inofficial Mono 1.1.4.

sudo apt-get update
sudo apt-get install mono mono-jit mono-utils mono-mcs mono-assemblies-arch mono-assemblies-base mono-common libgsf-cil libmono0

1b. Installing Mono 1.1.6 from Breezy Badger Backports (RECOMMENDED)

Ubuntu will have Mono 1.1.6 built in for Breezy Badger which it is released in October/November time. However, the Ubuntu Backports project means that the Mono 1.1.6 Packages can be installed into Ubuntu Hoary Hedgehog 5.04. All you need to do is edit your sources.list to include the Backports repository, install Mono 1.1.6 and remove the Backports (unless you want to keep them). Mono 1.1.6 is recommend over 1.1.4.

sudo gedit /etc/apt/sources.list

You now need to add this line to the bottom of the file:

deb http://backports.ubuntuforums.org/backports hoary-backports-staging main universe multiverse restricted
deb http://manno.name/debian/ breezy cvs

You can now update your listings and install Mono 1.1.6.

sudo apt-get update
sudo apt-get install mono mono-utils mono mono-jit mono-utils mono-mcs mono-assemblies-arch mono-assemblies-base mono-common libmono0

You should now have Mono 1.1.6 installed. You can remove the backports from the sources.list if you wish. NOTE: Leaving this in will mean your system is updated with newer software which is possible unstable.

sudo gedit /etc/apt/sources.list

and remove the line:

deb http://backports.ubuntuforums.org/backports hoary-backports-staging main universe multiverse restricted

3. Installing Beagle

Run these commands in a Terminal window to download and install Beagle and all the dependencies. You will recieve a messages about these packages being 'untrusted' but you can safely ignore this.

sudo apt-get update
sudo apt-get install beagle

4. Setting Up Your Filesystems To Be Indexed

To set your file system up to accept extended attributes you will have to edit /etc/fstab. This is needed in order to index your filesystems. Simply, add 'user_xattr' to the line refering to your home directory. On a default Ubuntu install this is done by changing the line that looks like the following:

/dev/hda1 / ext3 defaults,errors=remount-ro 0 1

To make it look like this:

/dev/hda1 / ext3 defaults,errors=remount-ro,user_xattr 0 1

When you are done editing the filesystem(s) you want then you need to remount the filesystem(s) using this comment for each file system you changed:

sudo mount -o remount /dev/hda1

Change the /dev/hda1 part with whatever partitions you selected.
5. Inotify - CAUTION

If you are using Beagle 0.0.8 or you have build your own kernel with inotify 0.21, you can enable inotify kernel support. You must have Hoary Final Release with the latest kernel installed as this is when inotify 0.18 support was added.PLEASE NOTE: When I enabled inotify, it broke my USB plug and play support so I wouldn't enabled it. It just means that you will loose some performance! This is a GNOME bug which should be fixed soon. I would recommend you DO NOT enable inotify until the bug is sorted. Proceed with caution.....

Edit /boot/grub/menu.lst.

find a line starting with "# nonaltoptions" and append inotify to it. Mine ends up like this:

# nonaltoptions=quiet splash inotify

then run sudo /sbin/update-grub to apply these options to all kernels. Reboot.
6. Address Book Bug

The Beagle 0.0.8 and 0.0.9 installations have a small bug which means that the Evolution address book can't be searched. You can fix it by:

cd /usr/lib
sudo ln -s libebook-1.2.so.3 libebook-1.2.so.0

7. Mozilla Extenstion

The Mozilla extension which works for both Mozilla and Mozilla Firefox isn't included with the packages so here is 'one that I made earlier'. You can download it from here http://www.trowbridge.org/beagle-on-debian/beagle.xpi (Thanks to Jon Trowbridge for hosting this). You can install it by going to File --> Open File and selecting the beagle.xpi file. You will need to restart your browser for this to take effect.
8. Beagle Web Services

The latest Ubuntu packages are now web services enabled which mean you can access Beagle from your web browser (and possibly from external sites if you do some router/modem configuration). You can access the page at:

http://localhost:8888/beagle/search.aspx (obviously changed localhost to your IP address of the machine you have Beagle on)

Before this will work, you need to add the --web-start extension when start beagled. See the next sections for more information on this. This page has loads of information on the web services.
9. Pool of Files to Index

Note that by default, everything gets indexed. To get results faster and to possibly get better stability (remember this is alpha software), it is recommended to make the pool of files to index smaller by defining the file .neverindex in your home directory.

cd
ls > .neverindex

Now edit the hidden file .neverindex and remove all directories/files you want to be indexed.

See How to index my data for more information on how to prevent files from being indexed.
10. Starting Beagle

You need start the Beagle daemon (beagled) which will index your data. The --web-start extention enables the Web Services section. You can do this, by running:

beagled --web-start

It is a good idea to start beagled with the debug options which makes it easier to find problems. You can do this by:

beagled --fg --debug --web-start

NOTE: When you restart, you will keep all of the indexed data! You can stop beagle by press Ctrl + C twice (you press it once and then some exiting text appears so it has been again).
11. Searching your Data

The most popular way of searching your data is to use the Best (Bleeding Edge Search Tool) which provides a sleek GTK interface. It should be in your Accessories --> Best. It will then appear in the notifitication area in the top right hand corner of the screen. You can get Best to run on boot by adding the option to run the command: 'best' at startup in the System --> Preferences --> Sessions.
12. Feedback

I (http://www.evolutioncolt.com) have added a lot to this page on the Wiki to make it a more comprehensive guide. Please email at spayne@evolutioncolt.com and tell me if it works, you've found some typos or if your're stuck. The IRC #dashboard channel on irc.gimp.net is very helpful and a lot of the Beagle and GNOME developers hang around here. You can find me here as HulaBeagleSeb
13. Questions and Answers
Q: Why can't I use inotify with Beagle 0.0.9?

A: Beagle 0.0.9 requires the inotify 0.22 patch whereas the standard Ubuntu kernel only has inotify 0.18. This means you can run Beagle without inotify (recommended) or make your own kernel with inotify 0.22 patch. Generally, Beagle 0.0.9 works well on a Athlon 2000+ system without inotify. The only disadvantage is that your data can take longer to index.
Q: I get an error like: "trying to overwrite `/usr/lib/mono', which is also in package ..." try

A: It seems a lot of packages provide a /usr/lib/mono symlink.You can solve this by running:

dpkg -i --force-overwrite /var/cache/apt/archives/mono-assemblies-base_1.1.4-1_all.deb

Q: Why does installing beagle on hoary pull in mozilla-browser? -- CraigBox

A: Best (the Beagle UI) uses Mozilla's Gecko HTML rendering widget.
Q: Can't it depend on mozilla | firefox then?
Q: When I run Best, I get an error saying the Beagle Daemon isn't installed. How do I start it?

A: You can start the Beagle Daemon by running this command in a Terminal window:

beagled

It is a good idea to start beagled with the debug options which makes it easier to find problems. You can do this by:

beagled --fg --debug

Q: In Evolution 2.2, I have an IMAPrev1 account and Beagle isn't indexing it. Why?

A: Beagle 0.0.8 does not have support for IMAPrev1. 0.0.9 (the current release) adds this support.
Q: I get the "Lock obtain timed out" exception - even though I'm running Mono 1.1.4. Any suggestions?

A: Solved after upgrading to 1.1.4-1.
14. Screenshots

See the offical page for shots here. Mine at the ones at www.sebgate.f2s.com running on Ubuntu Hoary Hedgehog Final Release.


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2005-05-09 21:11 

注册: 2005-04-03 16:29
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
Help with installing Beagle on Ubuntu can be found on the BeagleInstall page of the Ubuntu Wiki. However, that HOWTO only covers installing Beagle 0.0.7 and compiling from CVS whereas this one uses pre-built packages.

把Beagle安装到 Ubuntu 上的帮助能在 Ubuntu Wiki 的 BeagleInstall 页上找到。然而,那个 HOWTO 只是关于从 CVS 中编译安装Beagle0.0.7, 而且是使用一个预先建造的包。

Note: The Mono version in the latest Hoary contains Mono 1.0.5 which doesn't work with latest versions of Beagle (i.e. 0.0.8 and 0.0.9).

注意: Hoary 中包含的最新版Mono 1.0.5与Beagle的最新版本不兼容。(也就是 0.0.8 和 0.0.9)


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2005-05-09 21:21 

注册: 2005-04-03 16:29
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
1. Getting the Packages

1. 获得包

You are strongly encouraged to use method 1b, 1a is not maintained any longer.
强烈地建议你使用方法 1b,1a不被再维护。

1a. Installing running Mono 1.1.4-1 packages from from http://manno.name/debian with Beagle 0.0.9. (OBSOLETE)

1a.从http://manno.name/debian安装运行中的Mono 1.1.4-1包和Beagle 0.0.9. (废语)

To do this, add the following line to your /etc/apt/sources.list. You can do this using the command:

sudo nano /etc/apt/sources.list

为了做这,把下列行加入你的 /etc/ apt/sources.list。 你能通过使用以下指令作到:
sudo nano /etc/apt/sources.list

Add this line to the bottom of the file (Beagle 0.0.9).

deb http://manno.name/debian/ hoary main

把以下一行加入文件末尾(Beagle 0.0.9)。
deb http://manno.name/debian/ hoary main


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2005-05-09 21:31 

注册: 2005-04-03 16:29
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
If you wish to use the bleeding edge 0.0.9 CVS version, you should add the following to your sources.list instead.

deb http://manno.name/debian/ hoary main cvs

如果你愿意使用边缘0.0.9 CVS 版本,你应该改为把下列各项加入你的 sources.list
deb http://manno.name/debian/ hoary main cvs

PLEASE NOTE: The version used in this HOWTO is 0.0.9 which requires inotify 0.21 which is not in the Ubuntu kernel. This means that you need to use Beagle without inotify (with means no USB problems - see below), build your own kernel or use Beagle 0.0.8 (see below).
请注意: 此 HOWTO 中使用的版本是 0.0.9, 需要不在 Ubuntu 核心中的 inotify 0.21。这意谓着你需要使用没有 inotify( 意谓着没有万用串列总线问题 -参见以下) 的Beagle, 编译你自己的核心或使用Beagle 0.0.8 。 (如下所示)


You can now update your listings and install inofficial Mono 1.1.4.

sudo apt-get update
sudo apt-get install mono mono-jit mono-utils mono-mcs mono-assemblies-arch mono-assemblies-base mono-common libgsf-cil libmono0

现在你可以更新你的列表,安装非官方的 Mono 1.1.4。
sudo apt-get update
sudo apt-get install mono mono-jit mono-utils mono-mcs mono-assemblies-arch mono-assemblies-base mono-common libgsf-cil libmono0


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2005-07-19 10:47 
头像

注册: 2005-07-01 18:56
帖子: 887
地址: 广州市
送出感谢: 0 次
接收感谢: 3
1b. Installing Mono 1.1.6 from Breezy Badger Backports (RECOMMENDED)
1b. 从Breezy Badger Backports中安装Mono 1.1.6 (推荐)

Ubuntu will have Mono 1.1.6 built in for Breezy Badger which it is released in October/November time. However, the Ubuntu Backports project means that the Mono 1.1.6 Packages can be installed into Ubuntu Hoary Hedgehog 5.04. All you need to do is edit your sources.list to include the Backports repository, install Mono 1.1.6 and remove the Backports (unless you want to keep them). Mono 1.1.6 is recommend over 1.1.4.
Ubuntu将已经为定于在十月/十一月发布的Breezy Badger内嵌Mono 1.1.6。 然而,Ubuntu Backports项目想要Mono 1.1.6 软件包在Ubuntu Hoary Hedgehog 5.04中也能安装。你所需要做的就是编辑你的sources.list使它包含Backports储存库。安装Mono1.1.6与删除Backports(除非你想保留它们)。Mono 1.1.6被推荐取代1.1.4.

sudo gedit /etc/apt/sources.list

You now need to add this line to the bottom of the file:
你现在需要把以下这两行加入到你的/etc/apt/sources.list文件末尾:
deb http://backports.ubuntuforums.org/backports hoary-backports-staging main universe multiverse restricted
deb http://manno.name/debian/ breezy cvs

You can now update your listings and install Mono 1.1.6.
你现在可以更新你的列表和安装Mono1.1.6了。

sudo apt-get update
sudo apt-get install mono mono-utils mono mono-jit mono-utils mono-mcs mono-assemblies-arch mono-assemblies-base mono-common libmono0


You should now have Mono 1.1.6 installed. You can remove the backports from the sources.list if you wish. NOTE: Leaving this in will mean your system is updated with newer software which is possible unstable.
你现在应该已经安装好Mono 1.1.6。 如果你愿意的话,你可以从sources.list删除backports . 注意:保留backports将意味着可能会用不稳定的新软件更新你的系统。

sudo gedit /etc/apt/sources.list

and remove the line:
删除sources.list中的以下这一行内容:

deb http://backports.ubuntuforums.org/backports hoary-backports-staging main universe multiverse restricted

3. Installing Beagle
3. 安装 Beagle

Run these commands in a Terminal window to download and install Beagle and all the dependencies. You will recieve a messages about these packages being 'untrusted' but you can safely ignore this.
在一个终端窗口中运行以下这些命令去下载和安装Beagle及其所有依赖关系。 你将会接收到一条关于这些是'untrusted'软件包的消息,但你可以完全不必理睬这条消息!

sudo apt-get update
sudo apt-get install beagle

4. Setting Up Your Filesystems To Be Indexed
4. 建立你的文件系统索引

To set your file system up to accept extended attributes you will have to edit /etc/fstab. This is needed in order to index your filesystems. Simply, add 'user_xattr' to the line refering to your home directory. On a default Ubuntu install this is done by changing the line that looks like the following:
你必须通过修改/etc/fstab文件设置你的文件系统认可扩展属性. 为了索引你的文件系统这是必须要做的工作。简单地,向涉及到你的根目录的那一行添加'user_xattr'. Ubuntu在默认安装时这是通过替换象以下这一行内容来完成的.

/dev/hda1 / ext3 defaults,errors=remount-ro 0 1


To make it look like this:
使它变成象以下这一行:

/dev/hda1 / ext3 defaults,errors=remount-ro,user_xattr 0 1


When you are done editing the filesystem(s) you want then you need to remount the filesystem(s) using this comment for each file system you changed:
当你完成增加你想要的文件系统属性的编辑后,那么你需要使用以下命令重新安装每一个你已修改过属性的文件系统。

sudo mount -o remount /dev/hda1

Change the /dev/hda1 part with whatever partitions you selected.
用凡是被你选择了的分区替换/dev/hda1部分。


_________________
I will be back!


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2005-07-22 1:25 
头像

注册: 2005-07-14 20:31
帖子: 47
送出感谢: 0 次
接收感谢: 0 次
5. Inotify - CAUTION

If you are using Beagle 0.0.8 or you have build your own kernel with inotify 0.21, you can enable inotify kernel support. You must have Hoary Final Release with the latest kernel installed as this is when inotify 0.18 support was added.PLEASE NOTE: When I enabled inotify, it broke my USB plug and play support so I wouldn't enabled it. It just means that you will loose some performance! This is a GNOME bug which should be fixed soon. I would recommend you DO NOT enable inotify until the bug is sorted. Proceed with caution.....

Edit /boot/grub/menu.lst.

find a line starting with "# nonaltoptions" and append inotify to it. Mine ends up like this:

# nonaltoptions=quiet splash inotify

then run sudo /sbin/update-grub to apply these options to all kernels. Reboot.

5. Inotify――警告
如果你现在使用. Beagle 0.0.8或者你已经建立起了你自己的关于inotify 0.21的内核,你就能够开启inotify kernel support。在安装最新的kernel的时候inotify 0.18会添入其中,前提是你应该拥有Hoary的最终发行版本。请注意:当我开启inotify的时候,它破坏了我的usb plug和play support,所以我不能够开启它。这意味着你会失去一些性能!这是一个GNOME bug,相信应该会很快被修正。我建议你直到bug被详细的区分前不要开启inotify。一定要小心使用。。。。
Edit /boot/grub/menu.lst.

find a line starting with "# nonaltoptions" and append inotify to it. Mine ends up like this:

# nonaltoptions=quiet splash inotify
然后运行sudo /sbin/update-grub来应用这些和所有内核相关的选项。重启


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2005-07-22 9:18 
头像

注册: 2005-07-01 18:56
帖子: 887
地址: 广州市
送出感谢: 0 次
接收感谢: 3
6. Address Book Bug
6. 地址簿臭虫

The Beagle 0.0.8 and 0.0.9 installations have a small bug which means that the Evolution address book can't be searched. You can fix it by:
Beagle0.0.8与0.0.9安装程序有一个不能检索Evolution地址簿的小臭虫.你可以通过以下命令处理好它:
cd /usr/lib
sudo ln -s libebook-1.2.so.3 libebook-1.2.so.0


_________________
I will be back!


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2005-07-22 13:50 
头像

注册: 2005-07-01 18:56
帖子: 887
地址: 广州市
送出感谢: 0 次
接收感谢: 3
7. Mozilla Extenstion
7. Mozilla 扩展

The Mozilla extension which works for both Mozilla and Mozilla Firefox isn't included with the packages so here is 'one that I made earlier'. You can download it from here http://www.trowbridge.org/beagle-on-debian/beagle.xpi (Thanks to Jon Trowbridge for hosting this). You can install it by going to File --> Open File and selecting the beagle.xpi file. You will need to restart your browser for this to take effect.

软件包中不包含用于Mozilla 与 Mozilla-Firefox的Mozilla 扩展,因此在这里给出的是我一个初期的制成品.你能在以下地址下载:
http://www.trowbridge.org/beagle-on-debian/beagle.xpi
(非常感谢Jon Trowbridge的努力). 你可以通过在菜单中"文件" --> "打开文件 "并且选择刚才下载回来的beagle.xpi安装它,为了让这个"扩展"生效你必须重新启动你的浏览器!


_________________
I will be back!


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2005-08-22 22:02 
论坛管理员

注册: 2005-03-27 0:06
帖子: 10116
系统: Ubuntu 12.04
送出感谢: 7
接收感谢: 128
http://www.ubuntu.org.cn/support/docume ... howto_view


_________________
当净其意如虚空,远离妄想及诸取,令心所向皆无碍


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2006-07-30 21:08 
头像

注册: 2005-07-02 14:41
帖子: 4133
系统: Ubuntu 14.04 (Kylin)
送出感谢: 53
接收感谢: 11
好像过时了,先放着


_________________
https://weakish.github.io


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 10 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译